Get Cal.com Integration by Unit
Endpoint used to get a Cal.com integration by unit.
Request Example
Section titled “Request Example”curl --request GET \ --url https://converflow.api.prod.toolzz.media/api/v1/calcom/integration/unit/{unitId} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "data": [ { "id": "uuid", "botId": null, "unitId": "uuid", "title": "string", "calcomUsername": "string", "apiKey": "string", "isActive": true, "isTokenMasked": true, "timezone": "string", "prompt": "string", "checkAvailabilityEnabled": true, "createBookingEnabled": true, "defaultEventTypeId": null, "defaultEventTypeSlug": null, "createdAt": "YYYY-MM-DD HH:mm:ss.SSSSSS", "updatedAt": "YYYY-MM-DD HH:mm:ss.SSS" } ]}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters
Section titled “URL Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
unitId | String | Unit ID | Yes |
Response description
Section titled “Response description”| Key | Type | Description | Required |
|---|---|---|---|
data[] | Array | List of objects with the settings of each Cal.com integration. | Yes |
id | UUID | Unique configuration identifier in the database. | Yes |
botId | Null/UUID | Toolzz AI Agent ID: Identifier of the AI linked to this calendar. | No |
unitId | UUID | Unique identifier of the owning organizational unit. | Yes |
title | String | Friendly name of the integration (e.g., “Calcom”). | Yes |
calcomUsername | String | Username or slug on the Cal.com platform. | Yes |
apiKey | String | Masked API key (e.g., cal_****************). | Yes |
isActive | Boolean | Defines if the integration is enabled and functional. | Yes |
isTokenMasked | Boolean | If true, indicates that the apiKey is not fully visible. | Yes |
timezone | String | Default calendar timezone (e.g., UTC). | Yes |
prompt | String | Function Instruction: Commands that guide the AI in scheduling. | Yes |
checkAvailabilityEnabled | Boolean | Permission for the AI to consult available times. | Yes |
createBookingEnabled | Boolean | Permission for the AI to make meeting bookings. | Yes |
defaultEventTypeId | Null/Number | Default event type ID (e.g., 5470074). | No |
defaultEventTypeSlug | Null/Str | Default event type slug (e.g., 30min). | No |
createdAt | String | Record creation date and time in the system. | Yes |
updatedAt | String | Date and time of the last data update. | Yes |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
